# Interface SyScrollBarVerticalType

All Superinterfaces:
  `SyActiveReadableType, SyActiveType, SyBoundedReadableType<SySpaceParentRelativeType>, SyBoundedType<SySpaceParentRelativeType>, SyComponentReadableType, SyComponentType, SyEventReceiverType, SyKeyboardFocusableReadableType, SyKeyboardFocusableType, SyMouseFocusAcceptingReadableType, SyMouseFocusAcceptingType, SyScrollBarReadableType, SyScrollBarType, SyScrollBarVerticalReadableType, SySizedReadableType<SySpaceParentRelativeType>, SySizedType<SySpaceParentRelativeType>, SyThemeableReadableType, SyThemeableType, SyVisibleReadableType, SyVisibleType`

public interface SyScrollBarVerticalType extends SyScrollBarVerticalReadableType, SyScrollBarType
Write access to scrollbars.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `removeOnClickDownListener()`
  Remove any listeners that are executed when the down button is clicked.
  `void`
  `removeOnClickUpListener()`
  Remove any listeners that are executed when the up button is clicked.
  `void`
  `setOnClickDownListener(Runnable runnable)`
  Set a listener that will be executed when the down scroll button is clicked.
  `void`
  `setOnClickUpListener(Runnable runnable)`
  Set a listener that will be executed when the up scroll button is clicked.

  ### Methods inherited from interface SyActiveReadableType

  `isMouseOver`

  ### Methods inherited from interface SyActiveType

  `activity, setActive`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea`

  ### Methods inherited from interface SyBoundedType

  `position, setPosition`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyComponentType

  `ancestorMatching, childAdd, childRemove, childrenClear, componentForWindowRelative, layout, node, window`

  ### Methods inherited from interface SyEventReceiverType

  `eventSend`

  ### Methods inherited from interface SyKeyboardFocusableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SyMouseFocusAcceptingType

  `setMouseQueryAccepting`

  ### Methods inherited from interface SyScrollBarReadableType

  `scrollAmountShown, scrollIncrementSize, scrollPosition, scrollPositionSnapping, thumb, track`

  ### Methods inherited from interface SyScrollBarType

  `removeOnThumbDragListener, setHideIfDisabled, setOnThumbDragListener, setScrollAmountShown, setScrollPosition, setScrollPositionSnapping`

  ### Methods inherited from interface SyScrollBarVerticalReadableType

  `buttonDown, buttonUp, themeClassesDefaultForComponent`

  ### Methods inherited from interface SySizedType

  `setSize, setSizeUpperLimit, size, sizeUpperLimit`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleType

  `setVisible, visibility`

- ## Method Details

  - ### setOnClickUpListener

    void setOnClickUpListener(Runnable runnable)
    Set a listener that will be executed when the up scroll button is clicked.
    Parameters:
      `runnable` - The listener

  - ### removeOnClickUpListener

    void removeOnClickUpListener()
    Remove any listeners that are executed when the up button is clicked.
    See Also:
      - `setOnClickUpListener(Runnable)`

  - ### setOnClickDownListener

    void setOnClickDownListener(Runnable runnable)
    Set a listener that will be executed when the down scroll button is clicked.
    Parameters:
      `runnable` - The listener

  - ### removeOnClickDownListener

    void removeOnClickDownListener()
    Remove any listeners that are executed when the down button is clicked.
    See Also:
      - `setOnClickDownListener(Runnable)`